Subject: bug#68756: Uninstalling emacs does not remove Start Menu entries created during the installation

From: Дилян Палаузов<[email-masked]>
Date: Sat, 27 Jan 2024 10:24:49 +0100

Hello,

I have installed Emacs on Windows using emacs-29.1_2-installer.exe . It has put a folder named “Emacs 29.1” in the Start Menu.  That folder has two icons “Emacs” and “Uninstall”.

Then I installed emacs-29.2-installer.exe .  It asks “Select the Start Menu folder in which you would like to create program's shortcuts.  You can also enter a name to create a new folder” and the system suggests as name “Emacs-29.2”.  I «Close» to complete the setup with the suggested folder.  Now I have for each emacs version a separate directory under C:\Program Files\Emacs .

I also have two Start Menu folders: Emacs-29.1 containing “Emacs” and “Uninstall” and Emacs-29.2 containing only “Emacs”.  I click on “Uninstall”.  It says “Emacs-29.2 will be uninstalled”, despite being in the 29.1 folder, but it actually deletes the emacs-29.1 and emacs-29.2 files.  After the deinstallation the Start Menu folders “Emacs-29.1 and Emacs-29.2” are still present.

• Uninstalling emacs should remove the Start Menu directories, created during installing emacs.
• Installing emacs should ask to first remove the previously installed emacs version, as long as it does not do inplace upgrade (substitution).

Kind regards
  Дилян